## molds 0.2.0

=== src/Makefile ===
#//************************************************************************//
#// Copyright (C) 2011-2012 Mikiya Fujii                                   // 
#//                                                                        // 
#// This file is part of MolDS.                                            // 
#//                                                                        // 
#// MolDS is free software: you can redistribute it and/or modify          // 
#// it under the terms of the GNU General Public License as published by   // 
#// the Free Software Foundation, either version 3 of the License, or      // 
#// (at your option) any later version.                                    // 
#//                                                                        // 
#// MolDS is distributed in the hope that it will be useful,               // 
#// but WITHOUT ANY WARRANTY; without even the implied warranty of         // 
#// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          // 
#// GNU General Public License for more details.                           // 
#//                                                                        // 
#// You should have received a copy of the GNU General Public License      // 
#// along with MolDS.  If not, see <http://www.gnu.org/licenses/>.         // 
#//************************************************************************//
CC = icpc
LIBSBASE = -lmkl_intel_thread -lmkl_core -liomp5 -lpthread
LIBS32 = -lmkl_intel       $(LIBSBASE)
LIBS64 = -lmkl_intel_ilp64 $(LIBSBASE)
CFLAGSBASE = -O2 -openmp -openmp-report2 -DMKL_INT=intptr_t 
CFLAGS32   = $(CFLAGSBASE)
CFLAGS64   = $(CFLAGSBASE) -DMKL_INT64
BOOST_TOP_DIR = /usr/local/boost/
BOOST_INC_DIR = $(BOOST_TOP_DIR)include/
EXENAME = MolDS.out
DEPFILE = obj/objfile.dep

ALL_CPP_FILES = Main.cpp base/MolDSException.cpp wrappers/Blas.cpp wrappers/Lapack.cpp base/Utilities.cpp base/Enums.cpp base/MathUtilities.cpp base/MallocerFreer.cpp base/EularAngle.cpp base/Parameters.cpp base/atoms/Atom.cpp base/atoms/Hatom.cpp base/atoms/Liatom.cpp base/atoms/Catom.cpp base/atoms/Natom.cpp base/atoms/Oatom.cpp base/atoms/Satom.cpp base/factories/AtomFactory.cpp base/Molecule.cpp base/InputParser.cpp base/GTOExpansionSTO.cpp base/RealSphericalHarmonicsIndex.cpp base/loggers/MOLogger.cpp base/loggers/DensityLogger.cpp base/loggers/HoleDensityLogger.cpp base/loggers/ParticleDensityLogger.cpp cndo/Cndo2.cpp indo/Indo.cpp zindo/ZindoS.cpp mndo/Mndo.cpp am1/Am1.cpp am1/Am1D.cpp pm3/Pm3.cpp pm3/Pm3D.cpp pm3/Pm3Pddg.cpp base/factories/ElectronicStructureFactory.cpp md/MD.cpp mc/MC.cpp rpmd/RPMD.cpp nasco/NASCO.cpp optimization/Optimizer.cpp optimization/ConjugateGradient.cpp optimization/SteepestDescent.cpp optimization/BFGS.cpp base/factories/OptimizerFactory.cpp  base/MolDS.cpp
ALL_HEAD_FILES = base/PrintController.h base/MolDSException.h base/Uncopyable.h wrappers/Blas.h wrappers/Lapack.h base/Utilities.h base/Enums.h base/MathUtilities.h base/MallocerFreer.h base/EularAngle.h base/Parameters.h base/atoms/Atom.h base/atoms/Hatom.h base/atoms/Liatom.h base/atoms/Catom.h base/atoms/Natom.h base/atoms/Oatom.h base/atoms/Satom.h base/factories/AtomFactory.h base/Molecule.h base/InputParser.h base/GTOExpansionSTO.h base/RealSphericalHarmonicsIndex.h base/loggers/MOLogger.h base/loggers/DensityLogger.h base/loggers/HoleDensityLogger.h base/loggers/ParticleDensityLogger.h base/ElectronicStructure.h cndo/Cndo2.h cndo/ReducedOverlapAOsParameters.h indo/Indo.h zindo/ZindoS.h mndo/Mndo.h am1/Am1.h am1/Am1D.h pm3/Pm3.h pm3/Pm3D.h pm3/Pm3Pddg.h base/factories/ElectronicStructureFactory.h md/MD.h mc/MC.h rpmd/RPMD.h nasco/NASCO.h optimization/Optimizer.h optimization/ConjugateGradient.h optimization/SteepestDescent.h optimization/BFGS.h base/factories/OptimizerFactory.h base/MolDS.h
ALL_OBJ_FILES = obj/Main.o obj/MolDSException.o obj/Blas.o obj/Lapack.o obj/Utilities.o obj/Enums.o obj/MathUtilities.o obj/MallocerFreer.o obj/EularAngle.o obj/Parameters.o obj/Atom.o obj/Hatom.o obj/Liatom.o obj/Catom.o obj/Natom.o obj/Oatom.o obj/Satom.o obj/AtomFactory.o obj/Molecule.o obj/InputParser.o obj/GTOExpansionSTO.o obj/RealSphericalHarmonicsIndex.o obj/MOLogger.o obj/DensityLogger.o obj/HoleDensityLogger.o obj/ParticleDensityLogger.o obj/Cndo2.o obj/Indo.o obj/ZindoS.o obj/Mndo.o obj/Am1.o obj/Am1D.o obj/Pm3.o obj/Pm3D.o obj/Pm3Pddg.o obj/ElectronicStructureFactory.o obj/MD.o obj/MC.o obj/RPMD.o obj/NASCO.o obj/Optimizer.o obj/ConjugateGradient.o obj/SteepestDescent.o obj/BFGS.o obj/OptimizerFactory.o obj/MolDS.o

$(EXENAME): $(DEPFILE) $(ALL_OBJ_FILES)
ifeq ($(INTEL), 64)
	$(CC) -o $@  $(ALL_OBJ_FILES) $(LIBS64) 
else
	$(CC) -o $@  $(ALL_OBJ_FILES) $(LIBS32)  
endif

-include $(DEPFILE)

.PHONY: depend
depend: $(DEPFILE)

$(DEPFILE): $(ALL_HEAD_FILES) $(ALL_CPP_FILES)
ifeq ($(INTEL), 64)
	$(CC) -MM $(ALL_CPP_FILES) -I$(BOOST_INC_DIR) | sed 's/^\([^ ]\)/obj\/\1/g' | sed 's/\($$*\)\.o[ :]*/\1.o : /g' | sed 's/h$$/h\n\t$$(CC) -I$$(BOOST_INC_DIR) -o $$@ $$< $$(CFLAGS64) -c /g' > $(DEPFILE)
else
	$(CC) -MM $(ALL_CPP_FILES) -I$(BOOST_INC_DIR) | sed 's/^\([^ ]\)/obj\/\1/g' | sed 's/\($$*\)\.o[ :]*/\1.o : /g' | sed 's/h$$/h\n\t$$(CC) -I$$(BOOST_INC_DIR) -o $$@ $$< $$(CFLAGS32) -c /g' > $(DEPFILE)
endif

.PHONY: clean
clean:
	rm -f $(ALL_OBJ_FILES) $(EXENAME) $(DEPFILE)

all: clean $(EXENAME)

## molds 0.0~20120819

=== debian/changelog ===
molds (0.0~20120819-1) unstable; urgency=low

  * Initial release (Closes: #685316).

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Aug 2012 15:54:52 +0200

=== debian/control ===
Source: molds
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libboost-dev
Standards-Version: 3.9.2
Homepage: http://en.sourceforge.jp/projects/molds/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/molds/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/molds/
DM-Upload-Allowed: yes

Package: molds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Semi-empirical electronic structure and molecular dynamics
 MolDS is a semi-empirical electronic structure and molecular dynamics
 package.
 .
 Features includes:
 .
  * Semi-Empirical methods CNDO2, INDO, ZINDO/S, MNDO, AM1 and PM3
  * Excited States via Single Configuration Interaction (CIS)
  * Dispersion corrections to AM1 (AM1-D) and PM3 (PM3-D)
  * Pairwise Distance Directed Gaussian (PDDG) correction to PM3
    (PM3/PDDG)
  * Single-Point, geometry optimization, Molecular Dynamics (MD),
    Monte-Carlo (MC) and  Polymer Molecular Dynamics (RPMD) type of
    calculations
 .
 MolDS currently ships parameters for the elements H, C, N, O, and S.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export BOOST_TOP_DIR=/usr/
export OPENBLAS_TOP_DIR=/usr/lib/openblas-base/
export OPENBLAS_LIB_DIR=/usr/lib/openblas-base
export CC=g++

COMPILER_FLAGS = -g -Wall -fopenmp
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
COMPILER_FLAGS += -O0
else
COMPILER_FLAGS += -O2
endif
export CFLAGS=$(COMPILER_FLAGS)

%:
	dh $@ 

override_dh_auto_clean:
	(cd src; make -f Makefile_GNU clean)

override_dh_auto_build:
	(cd src; make -f Makefile_GNU depend)
	(cd src; make -f Makefile_GNU)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	(cd test; ruby Test_Of_MolDS.rb)
endif

## molds 0.2.0

=== debian/changelog ===
molds (0.2.0-1) unstable; urgency=low

  * New upstream relesae (upstream tarball based on subversion revision 1157).
  * debian/patches/makefile_flags.patch: Updated.
  * debian/patches/lapacke_rpath.patch: Updated.
  * debian/control (Build-Depends): Added libblas-dev.
  * debian/rules (LIBS): New variable.

 -- Michael Banck <mbanck@debian.org>  Sat, 29 Dec 2012 19:52:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libboost-dev
+Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libblas-dev, libboost-dev
 Standards-Version: 3.9.2
 Homepage: http://en.sourceforge.jp/projects/molds/
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/molds/

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export OPENBLAS_TOP_DIR=/usr/lib/openblas-base/
 export OPENBLAS_LIB_DIR=/usr/lib/openblas-base
 export CC=g++
+export LIBS=-lpthread -lgomp -L/usr/lib/lapack/ -llapacke
 
 COMPILER_FLAGS = -g -Wall -fopenmp
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))

## molds 0.3.0

=== src/Makefile ===
#//************************************************************************//
#// Copyright (C) 2011-2013 Mikiya Fujii                                   //
#// Copyright (C) 2012-2013 Katsuhiko Nishimra                             // 
#//                                                                        // 
#// This file is part of MolDS.                                            // 
#//                                                                        // 
#// MolDS is free software: you can redistribute it and/or modify          // 
#// it under the terms of the GNU General Public License as published by   // 
#// the Free Software Foundation, either version 3 of the License, or      // 
#// (at your option) any later version.                                    // 
#//                                                                        // 
#// MolDS is distributed in the hope that it will be useful,               // 
#// but WITHOUT ANY WARRANTY; without even the implied warranty of         // 
#// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          // 
#// GNU General Public License for more details.                           // 
#//                                                                        // 
#// You should have received a copy of the GNU General Public License      // 
#// along with MolDS.  If not, see <http://www.gnu.org/licenses/>.         // 
#//************************************************************************//
CC = mpiicpc
CFLAGS = -O2
override CFLAGS += -openmp -DMKL_INT=intptr_t
ifeq ($(INTEL), 64)
override CFLAGS += -DMKL_ILP64
endif
BOOST_TOP_DIR = /usr/local/boost/
BOOST_INC_DIR = $(BOOST_TOP_DIR)/include/
BOOST_LIB_DIR = $(BOOST_TOP_DIR)/lib/
BOOST_LIBS    = -lboost_serialization -lboost_mpi -lboost_thread
LIBSBASE = -lmkl_intel_thread -lmkl_core -liomp5 -lpthread
ifeq ($(INTEL), 64)
LIBS = -lmkl_intel_ilp64 $(LIBSBASE) $(BOOST_LIBS)
else
LIBS = -lmkl_intel       $(LIBSBASE) $(BOOST_LIBS)
endif
EXENAME = molds
DEPFILE = obj/objfile.dep
LDFLAGS = -Wl,-rpath=$(BOOST_LIB_DIR)

ALL_CPP_FILES  =          base/Enums.cpp                   base/PrintController.cpp base/MolDSException.cpp                                     base/MallocerFreer.cpp              mpi/MpiProcess.cpp mpi/AsyncCommunicator.cpp wrappers/Blas.cpp wrappers/Lapack.cpp base/Utilities.cpp base/MathUtilities.cpp base/EularAngle.cpp base/Parameters.cpp base/RealSphericalHarmonicsIndex.cpp base/atoms/Atom.cpp base/atoms/Hatom.cpp base/atoms/Liatom.cpp base/atoms/Catom.cpp base/atoms/Natom.cpp base/atoms/Oatom.cpp base/atoms/Satom.cpp base/atoms/mm/EnvironmentalPointCharge.cpp base/factories/AtomFactory.cpp base/Molecule.cpp base/InputParser.cpp base/GTOExpansionSTO.cpp base/loggers/MOLogger.cpp base/loggers/DensityLogger.cpp base/loggers/HoleDensityLogger.cpp base/loggers/ParticleDensityLogger.cpp                            cndo/Cndo2.cpp                                    indo/Indo.cpp zindo/ZindoS.cpp mndo/Mndo.cpp am1/Am1.cpp am1/Am1D.cpp pm3/Pm3.cpp pm3/Pm3D.cpp pm3/Pm3Pddg.cpp base/factories/ElectronicStructureFactory.cpp md/MD.cpp mc/MC.cpp rpmd/RPMD.cpp nasco/NASCO.cpp optimization/Optimizer.cpp optimization/ConjugateGradient.cpp optimization/SteepestDescent.cpp optimization/BFGS.cpp optimization/GEDIIS.cpp base/factories/OptimizerFactory.cpp  base/MolDS.cpp     Main.cpp
ALL_HEAD_FILES = config.h base/Enums.h   base/Uncopyable.h base/PrintController.h   base/MolDSException.h   base/containers/ThreadSafeQueue.h   base/MallocerFreer.h   mpi/MpiInt.h mpi/MpiProcess.h   mpi/AsyncCommunicator.h   wrappers/Blas.h   wrappers/Lapack.h   base/Utilities.h   base/MathUtilities.h   base/EularAngle.h   base/Parameters.h   base/RealSphericalHarmonicsIndex.h   base/atoms/Atom.h   base/atoms/Hatom.h   base/atoms/Liatom.h   base/atoms/Catom.h   base/atoms/Natom.h   base/atoms/Oatom.h   base/atoms/Satom.h   base/atoms/mm/EnvironmentalPointCharge.h   base/factories/AtomFactory.h   base/Molecule.h   base/InputParser.h   base/GTOExpansionSTO.h   base/loggers/MOLogger.h   base/loggers/DensityLogger.h   base/loggers/HoleDensityLogger.h   base/loggers/ParticleDensityLogger.h   base/ElectronicStructure.h cndo/Cndo2.h   cndo/ReducedOverlapAOsParameters.h indo/Indo.h   zindo/ZindoS.h   mndo/Mndo.h   am1/Am1.h   am1/Am1D.h   pm3/Pm3.h   pm3/Pm3D.h   pm3/Pm3Pddg.h   base/factories/ElectronicStructureFactory.h   md/MD.h   mc/MC.h   rpmd/RPMD.h   nasco/NASCO.h   optimization/Optimizer.h   optimization/ConjugateGradient.h   optimization/SteepestDescent.h   optimization/BFGS.h   optimization/GEDIIS.h   base/factories/OptimizerFactory.h    base/MolDS.h
ALL_OBJ_FILES  =           obj/Enums.o                      obj/PrintController.o    obj/MolDSException.o                                        obj/MallocerFreer.o                obj/MpiProcess.o   obj/AsyncCommunicator.o        obj/Blas.o        obj/Lapack.o    obj/Utilities.o    obj/MathUtilities.o    obj/EularAngle.o    obj/Parameters.o    obj/RealSphericalHarmonicsIndex.o    obj/Atom.o                obj/Hatom.o          obj/Liatom.o          obj/Catom.o          obj/Natom.o          obj/Oatom.o          obj/Satom.o             obj/EnvironmentalPointCharge.o              obj/AtomFactory.o    obj/Molecule.o    obj/InputParser.o    obj/GTOExpansionSTO.o            obj/MOLogger.o            obj/DensityLogger.o            obj/HoleDensityLogger.o            obj/ParticleDensityLogger.o                               obj/Cndo2.o                                       obj/Indo.o     obj/ZindoS.o    obj/Mndo.o   obj/Am1.o   obj/Am1D.o   obj/Pm3.o   obj/Pm3D.o   obj/Pm3Pddg.o              obj/ElectronicStructureFactory.o  obj/MD.o  obj/MC.o    obj/RPMD.o     obj/NASCO.o            obj/Optimizer.o            obj/ConjugateGradient.o            obj/SteepestDescent.o            obj/BFGS.o            obj/GEDIIS.o              obj/OptimizerFactory.o     obj/MolDS.o   obj/Main.o

$(EXENAME): $(ALL_OBJ_FILES)
	$(CC) -o $@ $(LDFLAGS) -L$(BOOST_LIB_DIR) $(ALL_OBJ_FILES) $(LIBS)

-include $(DEPFILE)

.PHONY: depend
depend:
	rm $(DEPFILE)
	+make $(DEPFILE)

$(DEPFILE): Makefile
	$(CC) -MM $(ALL_CPP_FILES) -I$(BOOST_INC_DIR) | sed 's/^\([^ ]\)/obj\/\1/g' | sed 's/\($$*\)\.o[ :]*/\1.o : /g' > $(DEPFILE)

$(ALL_OBJ_FILES):
	$(CC) -I$(BOOST_INC_DIR) -o $@ $< $(CFLAGS) -c

.PHONY: clean
clean:
	rm -f $(ALL_OBJ_FILES) $(EXENAME) $(DEPFILE)

all: clean $(EXENAME)

=== debian/changelog ===
molds (0.3.0-3) unstable; urgency=low

  * debian/control (Build-Depends): Added mpi-default-bin.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Dec 2013 11:10:57 +0100

molds (0.3.0-2) unstable; urgency=low

  * debian/rules (CC): Reintroduced as mpicxx.
  * debian/rules (override_dh_auto_test): Filter out warnings from OpenBLAS
    rather than redirecting stderr to /dev/null.
  * debian/patches/testsuite_output.patch: New patch, removes spurious "Max
    Heap:" differences from output diffing.

 -- Michael Banck <mbanck@debian.org>  Mon, 23 Dec 2013 00:24:40 +0100

molds (0.3.0-1) unstable; urgency=low

  * New upstream release (upstream tarball based on subversion revision 1586).
    New features include:
    - Hybrid MPI/OpenMP parallelization.
    - GEDIIS algorithm added for geometry optimizations
    - Mulliken population in excited states
    - Unpaired electron population
  * debian/patches/makefile_flags.patch: Updated.
  * debian/control (Build-Depends): Added mpi-default-dev.
  * debian/rules (CC): Removed.
  * debian/control (Build-Depends): Added libboost-mpi-dev,
    libboost-serialization-dev and libboost-thread-dev.
  * debian/rules (override_dh_auto_build): Do not run depend target
    explicitly.
  * debian/rules (LIBS): Renamed to ...
  * debian/rules (LIBSBASE): ... this.
  * debian/rules (LIBSBASE): Added -lstdc++, -lm, -lmpi and -lmpi_cxx.
  * debian/patches/lapacke_rpath.patch: Removed.
  * debian/molds.install: Updated to renamed filename.
  * debian/molds.links: New file, ship a compatibility symlink for the renamed
    MolDS.out executable.
  * debian/rules (override_dh_auto_clean): Remove test/temp.dat, if present.
  * debian/rules (OMPI_MCA_orte_rsh_agent): New variable.
  * debian/patches/makefile_flags.patch: Added -lboost_system to BOOST_LIBS
    variable.
  * debian/rules (override_dh_auto_test): Teporarily redirect stderr to
    /dev/null to avoid very large amounts (> 1 million) of warnings from
    OpenBLAS (see #684344).
  * debian/molds.examples: New file, adding some test cases as exapmles.

 -- Michael Banck <mbanck@debian.org>  Sun, 22 Dec 2013 20:30:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libblas-dev, libboost-dev
+Build-Depends: debhelper (>= 7.0.50~), ruby, gawk, libopenblas-dev, liblapacke-dev, libblas-dev, libboost-dev, libboost-mpi-dev, libboost-serialization-dev, libboost-thread-dev, mpi-default-bin, mpi-default-dev
 Standards-Version: 3.9.2
 Homepage: http://en.sourceforge.jp/projects/molds/
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/molds/

## molds 0.3.1

=== src/Makefile ===
--- 
+++ 
@@ -36,22 +36,23 @@
 EXENAME = molds
 DEPFILE = obj/objfile.dep
 LDFLAGS = -Wl,-rpath=$(BOOST_LIB_DIR)
+THIS_MAKEFILE := $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST))
 
 ALL_CPP_FILES  =          base/Enums.cpp                   base/PrintController.cpp base/MolDSException.cpp                                     base/MallocerFreer.cpp              mpi/MpiProcess.cpp mpi/AsyncCommunicator.cpp wrappers/Blas.cpp wrappers/Lapack.cpp base/Utilities.cpp base/MathUtilities.cpp base/EularAngle.cpp base/Parameters.cpp base/RealSphericalHarmonicsIndex.cpp base/atoms/Atom.cpp base/atoms/Hatom.cpp base/atoms/Liatom.cpp base/atoms/Catom.cpp base/atoms/Natom.cpp base/atoms/Oatom.cpp base/atoms/Satom.cpp base/atoms/mm/EnvironmentalPointCharge.cpp base/factories/AtomFactory.cpp base/Molecule.cpp base/InputParser.cpp base/GTOExpansionSTO.cpp base/loggers/MOLogger.cpp base/loggers/DensityLogger.cpp base/loggers/HoleDensityLogger.cpp base/loggers/ParticleDensityLogger.cpp                            cndo/Cndo2.cpp                                    indo/Indo.cpp zindo/ZindoS.cpp mndo/Mndo.cpp am1/Am1.cpp am1/Am1D.cpp pm3/Pm3.cpp pm3/Pm3D.cpp pm3/Pm3Pddg.cpp base/factories/ElectronicStructureFactory.cpp md/MD.cpp mc/MC.cpp rpmd/RPMD.cpp nasco/NASCO.cpp optimization/Optimizer.cpp optimization/ConjugateGradient.cpp optimization/SteepestDescent.cpp optimization/BFGS.cpp optimization/GEDIIS.cpp base/factories/OptimizerFactory.cpp  base/MolDS.cpp     Main.cpp
 ALL_HEAD_FILES = config.h base/Enums.h   base/Uncopyable.h base/PrintController.h   base/MolDSException.h   base/containers/ThreadSafeQueue.h   base/MallocerFreer.h   mpi/MpiInt.h mpi/MpiProcess.h   mpi/AsyncCommunicator.h   wrappers/Blas.h   wrappers/Lapack.h   base/Utilities.h   base/MathUtilities.h   base/EularAngle.h   base/Parameters.h   base/RealSphericalHarmonicsIndex.h   base/atoms/Atom.h   base/atoms/Hatom.h   base/atoms/Liatom.h   base/atoms/Catom.h   base/atoms/Natom.h   base/atoms/Oatom.h   base/atoms/Satom.h   base/atoms/mm/EnvironmentalPointCharge.h   base/factories/AtomFactory.h   base/Molecule.h   base/InputParser.h   base/GTOExpansionSTO.h   base/loggers/MOLogger.h   base/loggers/DensityLogger.h   base/loggers/HoleDensityLogger.h   base/loggers/ParticleDensityLogger.h   base/ElectronicStructure.h cndo/Cndo2.h   cndo/ReducedOverlapAOsParameters.h indo/Indo.h   zindo/ZindoS.h   mndo/Mndo.h   am1/Am1.h   am1/Am1D.h   pm3/Pm3.h   pm3/Pm3D.h   pm3/Pm3Pddg.h   base/factories/ElectronicStructureFactory.h   md/MD.h   mc/MC.h   rpmd/RPMD.h   nasco/NASCO.h   optimization/Optimizer.h   optimization/ConjugateGradient.h   optimization/SteepestDescent.h   optimization/BFGS.h   optimization/GEDIIS.h   base/factories/OptimizerFactory.h    base/MolDS.h
 ALL_OBJ_FILES  =           obj/Enums.o                      obj/PrintController.o    obj/MolDSException.o                                        obj/MallocerFreer.o                obj/MpiProcess.o   obj/AsyncCommunicator.o        obj/Blas.o        obj/Lapack.o    obj/Utilities.o    obj/MathUtilities.o    obj/EularAngle.o    obj/Parameters.o    obj/RealSphericalHarmonicsIndex.o    obj/Atom.o                obj/Hatom.o          obj/Liatom.o          obj/Catom.o          obj/Natom.o          obj/Oatom.o          obj/Satom.o             obj/EnvironmentalPointCharge.o              obj/AtomFactory.o    obj/Molecule.o    obj/InputParser.o    obj/GTOExpansionSTO.o            obj/MOLogger.o            obj/DensityLogger.o            obj/HoleDensityLogger.o            obj/ParticleDensityLogger.o                               obj/Cndo2.o                                       obj/Indo.o     obj/ZindoS.o    obj/Mndo.o   obj/Am1.o   obj/Am1D.o   obj/Pm3.o   obj/Pm3D.o   obj/Pm3Pddg.o              obj/ElectronicStructureFactory.o  obj/MD.o  obj/MC.o    obj/RPMD.o     obj/NASCO.o            obj/Optimizer.o            obj/ConjugateGradient.o            obj/SteepestDescent.o            obj/BFGS.o            obj/GEDIIS.o              obj/OptimizerFactory.o     obj/MolDS.o   obj/Main.o
 
-$(EXENAME): $(ALL_OBJ_FILES)
+$(EXENAME): $(DEPFILE) $(ALL_OBJ_FILES)
 	$(CC) -o $@ $(LDFLAGS) -L$(BOOST_LIB_DIR) $(ALL_OBJ_FILES) $(LIBS)
 
 -include $(DEPFILE)
 
 .PHONY: depend
 depend:
-	rm $(DEPFILE)
-	+make $(DEPFILE)
+	-rm -f $(DEPFILE)
+	+make -f $(THIS_MAKEFILE) $(DEPFILE)
 
-$(DEPFILE): Makefile
+$(DEPFILE): $(THIS_MAKEFILE) $(ALL_CPP_FILES) $(ALL_HEAD_FILES)
 	$(CC) -MM $(ALL_CPP_FILES) -I$(BOOST_INC_DIR) | sed 's/^\([^ ]\)/obj\/\1/g' | sed 's/\($$*\)\.o[ :]*/\1.o : /g' > $(DEPFILE)
 
 $(ALL_OBJ_FILES):
@@ -59,6 +60,6 @@
 
 .PHONY: clean
 clean:
-	rm -f $(ALL_OBJ_FILES) $(EXENAME) $(DEPFILE)
+	-rm -f $(ALL_OBJ_FILES) $(EXENAME) $(DEPFILE)
 
-all: clean $(EXENAME)
+all: clean depend $(EXENAME)

=== debian/changelog ===
molds (0.3.1-2build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:06:09 +0200

molds (0.3.1-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:55:45 +0200

molds (0.3.1-2build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:23 +0100

molds (0.3.1-2) unstable; urgency=medium

  * Team upload

  [ Michael Banck ]
  * debian/control (Vcs-Browser, Vcs-Svn): Updated.

  [ Drew Parsons ]
  * d/rules: drop excess from LIBSBASE (Closes: #1075979)

  [ наб ]
  * d/rules: cd;make -> $(MAKE) -C
  * d/rules: allow failure from make clean
  * Makefile seems to need mkdir -p src/obj
  * Add hardening

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Drop fields with obsolete URLs.
  * Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)
  * d/rules: Use dh_-tools instead of $(MAKE)
  * Add Homepage
  * d/watch: At least report new version (even if this is not expected)
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Sat, 09 Nov 2024 17:52:14 +0100

molds (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge NMU.
  * debian/patches/makefile_flags.patch: Updated.
  * debian/patches/testsuite_output.patch: Updated, one hunk applied upstream.
  * debian/patches/testsuite_output.patch: Fixed patch to not filter out
    everything.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Oct 2014 20:09:18 +0100

molds (0.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with GCC 4.9 (Katsuhiko Nishimra). Closes: #746884.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:06:55 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export CC=mpicxx
export BOOST_TOP_DIR=/usr/
export BOOST_INC_DIR=/usr/include/mpi
export OPENBLAS_TOP_DIR=/usr/lib/openblas-base/
export OPENBLAS_LIB_DIR=/usr/lib/openblas-base
export LIBSBASE=-lpthread -lgomp -llapacke

export OMPI_MCA_orte_rsh_agent=/bin/false

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS=-g -Wall $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_clean:
	mkdir -p src/obj
	dh_auto_clean --sourcedirectory=src -- -f Makefile_GNU clean
	rm -rf test/temp.dat src/obj

override_dh_auto_build:
	mkdir -p src/obj
	dh_auto_build --sourcedirectory=src -- -f Makefile_GNU

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cd test; ruby Test_Of_MolDS.rb 2>&1 | grep -v Detect.OpenMP.Loop
endif

=== debian/watch ===
version=4

https://osdn.net/projects/molds/ .*/molds/tags/(\d[\d.]+)

# http://svn.sourceforge.jp/projects/molds/scm/svn/tags/ .*/tags/([\d.]+)/$

#opts=downloadurlmangle=s#.*?/tags/([\d.]+)/$#http://de.sourceforge.jp/projects/molds/scm/svn/archive/head/tags/$1/?format=tar.gz#g \
# http://de.sourceforge.jp/projects/molds/scm/svn/tags/ .*/tags/([\d.]+)/$

# filenamemangle=s#.*?/tags/([\d.]+)#molds-$1.tar.gz#g

# /projects/molds/scm/svn/archive/head/tags/0.2.0/?format=tar.gz
# /projects/molds/scm/svn/tree/head/tags/0.2.0/
# http://de.sourceforge.jp/downloads/scmarchive/g/molds/svn/1136aad2-a195-0410-b898-f5ea1d11b9d8/molds-tags_0.1.0-r1361.tar.gz/
# http://de.sourceforge.jp/downloads/scmarchive/g/molds/svn/1136aad2-a195-0410-b898-f5ea1d11b9d8/molds-tags_0.2.0-r1361.tar.gz/
